#############
# Parameters
#############
NETWORK_SIZE     100000
DENSITY          0.01
END_TIME         27
LATENCY_MIN      1
LATENCY_MAX      LATENCY_MIN
STEP_GOSSIP      1
STEP_RPS         10 * STEP_GOSSIP
STEP_OBS         STEP_GOSSIP
DB_BATCH_SIZE    100000
SOURCES          10
VARIABLES        1
DELAY_UPDATES    1
SCENARIO         2

#######################
# Parameters of gossip
#######################
FANOUT           10
RPS_VIEW_SIZE    10 * FANOUT
ALPHA            0
BETA             ALPHA
DUP_SEND_P       1
DUP_SEND_S       2
HOP_THRESHOLD_1  3
HOP_THRESHOLD_2  4

#########################
# Non-numeric parameters
#########################
include.init                        sch src prim #db
include.control                     prps obs

init.sch.protocol                   dup
init.src.protocol                   dup
init.prim.protocol                  dup
control.obs.protocol                dup
control.prps.protocol               dup
init.db.dbUrl                       jdbc:sqlite:debug.db
protocol.dup.tagsActivated          true
# Possible values: p s all
init.src.sourceClass                all

########################################
# Common to uniform and priority gossip
########################################
#include.control                     prps obs

#random.seed                         1234567890
simulation.endtime                  END_TIME
network.size                        NETWORK_SIZE

init.sch                            CDScheduler
#init.sch.protocol                   dup
#init.sch.randstart

init.src                            SourceSetter
#init.src.protocol                   dup
init.src.sources                    SOURCES
init.src.variables                  VARIABLES
init.src.delay                      DELAY_UPDATES

init.db                             DatabaseHandler
#init.db.dbUrl                       jdbc:sqlite:debug.db
init.db.batchSize                   DB_BATCH_SIZE

control.obs                         Observer
#control.obs.protocol                dup
control.obs.step                    1
control.obs.stepManual              STEP_OBS

protocol.transport                  UniformRandomTransport
protocol.transport.mindelay         LATENCY_MIN
protocol.transport.maxdelay         LATENCY_MAX

protocol.neighboursP                NeighboursLinkable
protocol.neighboursS                NeighboursLinkable
protocol.neighboursPS               NeighboursLinkable

#################
# Uniform gossip
#################
control.srps                        UniformRandomPeerSampler
control.srps.step                   STEP_RPS
control.srps.viewSize               RPS_VIEW_SIZE
control.srps.linkableP              neighboursP

protocol.uniform                    UniformGossip
protocol.uniform.step               STEP_GOSSIP
protocol.uniform.linkableP          neighboursP
protocol.uniform.transport          transport
protocol.uniform.fanout             FANOUT
protocol.uniform.scenario           SCENARIO

##################
# Priority gossip
##################
init.prim                           PrimarySetter
#init.prim.protocol                  dup
init.prim.density                   DENSITY

control.prps                        PriorityRandomPeerSampler
control.prps.step                   STEP_RPS
control.prps.viewSize               RPS_VIEW_SIZE
#control.prps.protocol               dup
control.prps.linkableP              neighboursP
control.prps.linkableS              neighboursS
control.prps.linkablePS             neighboursPS
control.prps.alpha                  ALPHA
control.prps.beta                   BETA

protocol.dup                        PriorityGossipDuplicate
protocol.dup.step                   STEP_GOSSIP
protocol.dup.linkableP              neighboursP
protocol.dup.linkableS              neighboursS
protocol.dup.transport              transport
protocol.dup.fanout                 FANOUT
protocol.dup.scenario               SCENARIO
#protocol.dup.tagsActivated          true
protocol.dup.dupSendP               DUP_SEND_P
protocol.dup.dupSendS               DUP_SEND_S

protocol.hop                        PriorityGossipHop
protocol.hop.step                   STEP_GOSSIP
protocol.hop.linkableP              neighboursP
protocol.hop.linkableS              neighboursS
protocol.hop.linkablePS             neighboursPS
protocol.hop.transport              transport
protocol.hop.fanout                 FANOUT
protocol.hop.scenario               SCENARIO
protocol.hop.hopThreshold1          HOP_THRESHOLD_1
protocol.hop.hopThreshold2          HOP_THRESHOLD_2
